Open Lighting Architecture: ola::plugin::usbdmx::ScanlimeFadecandy Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::plugin::usbdmx::ScanlimeFadecandy Class Reference

## Detailed Description

The interface for the Fadecandy Widgets.

Fadecandy devices have 8 physical ports. Each port can drive 64 RGB pixels. Ideally this means we'd model each Fadecandy port as an OLA port, but that introduces synchronization issues, since the underlying protocol models all 8 ports as a flat pixel array. For now we just expose the first 170 pixels.

See https://github.com/scanlime/fadecandy/blob/master/README.md for more information on Fadecandy devices.

Inheritance diagram for ola::plugin::usbdmx::ScanlimeFadecandy:

## Public Member Functions
| ScanlimeFadecandy (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device, const std::string &serial)
std::string | SerialNumber () const
| Get the serial number of this widget.
Public Member Functions inherited from ola::plugin::usbdmx::SimpleWidget
| SimpleWidget (ola::usb::LibUsbAdaptor *adaptor, libusb_device *usb_device)
| Create a new SimpleWidget.
ola::usb::USBDeviceID | GetDeviceId () const
| The device ID of this widget.
Public Member Functions inherited from ola::plugin::usbdmx::WidgetInterface
virtual bool | Init ()=0
| Initialize the widget.
virtual bool | SendDMX (const DmxBuffer &buffer)=0
| Send DMX data from this widget.

## Additional Inherited Members
Protected Attributes inherited from ola::plugin::usbdmx::SimpleWidget
ola::usb::LibUsbAdaptor *const | m_adaptor
libusb_device *const | m_usb_device

## Member Function Documentation

## ◆ SerialNumber()

std::string ola::plugin::usbdmx::ScanlimeFadecandy::SerialNumber | ( |  | ) | const
| inline

Get the serial number of this widget.

Returns
  The serial number of the widget.

The documentation for this class was generated from the following file:

- plugins/usbdmx/ScanlimeFadecandy.h